import { afterEach, beforeEach, describe, expect, it, vi } from 'vitest';
import { getTagStatus } from './tags';

describe('The getTagStatus function', () => {
  it('should return undefined/false for a tag that does NOT exist', () => {
    expect(getTagStatus('whatever', {}, '', '')).toEqual({
      highlighted: false,
    });
  });
  it('should return definition/true for a tag that exists and is highlighted', () => {
    expect(
      getTagStatus(
        'whatever',
        { hiking: { eating: { whatever: {} } } },
        'hiking',
        'eating'
      )
    ).toEqual({
      definition: {},
      highlighted: true,
    });
  });
  it('should return definition/false for a tag that exists and is NOT highlighted', () => {
    expect(
      getTagStatus(
        'whatever',
        { hiking: { sleeping: { whatever: {} } } },
        'hiking',
        'eating'
      )
    ).toEqual({
      definition: {},
      highlighted: false,
    });
  });
});
